POST api/Zapier/InsertServiceRequestsGeneric

Insert generic service request.

Request Information

URI Parameters

None.

Body Parameters

RequestModel
NameDescriptionTypeAdditional information
subject

string

None.

due_date

string

None.

description

string

None.

status

string

None.

insured_id

globally unique identifier

None.

insured_name

string

None.

insured_email

string

None.

insured_phone

string

None.

policy_number

string

None.

stage

string

None.

custom_type

string

None.

request_database_id

globally unique identifier

None.

policy_database_id

Collection of globally unique identifier

None.

agent_database_id

Collection of globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "subject": "sample string 1",
  "due_date": "sample string 2",
  "description": "sample string 3",
  "status": "sample string 4",
  "insured_id": "6d5367ca-6d66-4ee7-9fa1-246e12dbb939",
  "insured_name": "sample string 5",
  "insured_email": "sample string 6",
  "insured_phone": "sample string 7",
  "policy_number": "sample string 8",
  "stage": "sample string 9",
  "custom_type": "sample string 10",
  "request_database_id": "ea75f050-f118-4b2e-81e3-6a7e051ea486",
  "policy_database_id": [
    "90509ebe-4be8-4f95-ac8d-5f954e352a07",
    "8835db3b-e4c6-4344-95bb-85051b3ab6e7"
  ],
  "agent_database_id": [
    "0033a66c-f3d1-4ba7-bb38-b402ee4397aa",
    "75501729-ac2f-49b5-a4f6-42b3acfd42b5"
  ]
}

application/xml, text/xml

Sample:
<RequestModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Models">
  <AgentDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
    <d2p1:guid>0033a66c-f3d1-4ba7-bb38-b402ee4397aa</d2p1:guid>
    <d2p1:guid>75501729-ac2f-49b5-a4f6-42b3acfd42b5</d2p1:guid>
  </AgentDatabaseId>
  <CustomType xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 10</CustomType>
  <Description xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 3</Description>
  <InsuredEmail xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 6</InsuredEmail>
  <InsuredId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">6d5367ca-6d66-4ee7-9fa1-246e12dbb939</InsuredId>
  <InsuredName xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 5</InsuredName>
  <InsuredPhone xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 7</InsuredPhone>
  <PolicyDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
    <d2p1:guid>90509ebe-4be8-4f95-ac8d-5f954e352a07</d2p1:guid>
    <d2p1:guid>8835db3b-e4c6-4344-95bb-85051b3ab6e7</d2p1:guid>
  </PolicyDatabaseId>
  <PolicyNumber xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 8</PolicyNumber>
  <RequestDatabaseId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">ea75f050-f118-4b2e-81e3-6a7e051ea486</RequestDatabaseId>
  <Stage xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 9</Stage>
  <Status xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 4</Status>
  <DueDate>sample string 2</DueDate>
  <Subject>sample string 1</Subject>
</RequestModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

NowCertsApiResultWithDatabaseId
NameDescriptionTypeAdditional information
DatabaseId

globally unique identifier

None.

Status

ApiStatus

None.

Message

string

None.

Response Formats

application/json, text/json

Sample:
{
  "databaseId": "3b96962d-a264-4c67-ab39-485b789adde3",
  "status": 0,
  "message": "sample string 2"
}

application/xml, text/xml

Sample:
<NowCertsApiResultWithDatabaseId xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum">
  <Message>sample string 2</Message>
  <Status>Error</Status>
  <DatabaseId>3b96962d-a264-4c67-ab39-485b789adde3</DatabaseId>
</NowCertsApiResultWithDatabaseId>